mylestheslasher
Mechanical
- Nov 24, 2005
- 2
Hi. I am trying to set up a simple Macro to open the design table in a new window and to also cancel out of that annoying window that pops up when you edit design table. I thought this would be quite easy simply by recording my actions on the macro tool bar. Unfortunately, when I run my macro it always ends up opening the design table within solidworks. The code looks like this...
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
boolstatus = Part.Extension.SelectByID2("Design Table", "DESIGNTABLE", 0, 0, 0, False, 0, Nothing, 0)
Part.InsertFamilyTableEdit
End Sub
Anyone know what I am doing wrong - sorry I'm no expert in this type of thing.
Myles
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
boolstatus = Part.Extension.SelectByID2("Design Table", "DESIGNTABLE", 0, 0, 0, False, 0, Nothing, 0)
Part.InsertFamilyTableEdit
End Sub
Anyone know what I am doing wrong - sorry I'm no expert in this type of thing.
Myles